# Resumable upload

Users uploading larger files and/or with poor connectivity can initiate a
resumable upload session with the resumable_upload_url from the
upload_request body.

Google provides some great
documentation
on resumable uploads (as the content will be uploaded to Google Cloud
Storage).

> NOTE: Resumable Uploads use the POST method on initialization and the
PUT method after to resume upload.

> NOTE: After uploading a file, you can add it as Brandfolder asset by
copying the object_url value from the [Get an upload
URL](/api/brandfolder/openapi/binary_upload/opidstorageserviceuploadrequestsget)
response into your request body's attachments.url property. See [Create
assets in a
Brandfolder](/api/brandfolder/openapi/assets/opidapiv4collectionsassetsbybrandfolderidpost)
for details.

Endpoint: POST /resumable_upload_url
Version: v4
Security: 

## Header parameters:

  - `x-goog-resumable` (string, required)
    Enum: "start"

## Response 201 fields (application/json):

  - `location` (string)
    Example: "https://storageservice.com/bf-upload-request/signed-resumable-upload-url\n"


